收藏
回答

vtab扩展组件调用报错问题?

框架类型 问题类型 API/组件名称 终端类型 微信版本 基础库版本
小程序 Bug vtabs 工具 7.0.2 2.9.4
<mp-vtabs 
  vtabs="{{vtabs}}" 
  activeTab="{{activeTab}}" 
  bindtabclick="onTabCLick"
  bindchange="onChange"
  tabActiveTextColor="#ab2b2b"
  tabLineColor="#ab2b2b"
  tabInactiveBgColor="#EDEDED"
 >
 <block wx:for="{{vtabs}}" wx:key="title" >
  <mp-vtabs-content tabIndex="{{index}}">
   <view class="vtabs-content-item">
    我是第{{index + 1}}项: {{item.title}}
   </view>
  </mp-vtabs-content>
 </block>
</mp-vtabs>


报错如下


回答关注问题邀请回答
收藏

2 个回答

  • 社区技术运营专员-壹君
    社区技术运营专员-壹君
    01-20

    你查了这个错的没?

    01-20
    有用
    回复 2
    • 張
      01-21
      查了,获取不到动态高度。 并且是只在开发者工具报错,真机调试没有问题。 然后报错影响的地方有左边选中tabs标签右边内容区域不滑动,滑动右边内容区域左边tabs不会动态更改选中状态。
      01-21
      回复
    • 社区技术运营专员-壹君
      社区技术运营专员-壹君
      01-21回复
      开发者工具升级最高版本或者重装下, 这个可以排除掉工具的问题, 然后代码这块需要自检一下.
      01-21
      回复
  • :D
    :D
    03-22

    今天开发遇到相同问题,检查了下,发现基础库本库低于2.7.7,开发工具会报同款错误。

    03-22
    有用
    回复
登录 后发表内容
问题标签